package notifications

import (
	"context"

	"github.com/tech/sendico/pkg/model"
)

type ConfirmationRequestHandler = func(context.Context, *model.ConfirmationRequest) error

type ConfirmationResultHandler = func(context.Context, *model.ConfirmationResult) error

type ConfirmationDispatchHandler = func(context.Context, *model.ConfirmationRequestDispatch) error
